### Eclipse Workspace Patch 1.0
#P org.jboss.tools.esb.ui
Index: src/org/jboss/tools/esb/ui/editor/form/ESBListsFormLayoutData.java
===================================================================
--- src/org/jboss/tools/esb/ui/editor/form/ESBListsFormLayoutData.java	(revision 39150)
+++ src/org/jboss/tools/esb/ui/editor/form/ESBListsFormLayoutData.java	(working copy)
@@ -128,7 +128,7 @@
 		"Services", //$NON-NLS-1$
 		ModelFormLayoutData.EMPTY_DESCRIPTION,
 		new FormAttributeData[]{new FormAttributeData(ATTR_NAME, 100)}, 
-		new String[]{ENT_ESB_SERVICE_101, ENT_ESB_SERVICE_110, ENT_ESB_SERVICE_120, ENT_ESB_SERVICE_130},
+		new String[]{ENT_ESB_SERVICE_101, ENT_ESB_SERVICE_110, ENT_ESB_SERVICE_120, ENT_ESB_SERVICE_130, ENT_ESB_SERVICE_131},
 		FormLayoutDataUtil.createDefaultFormActionData("CreateActions.AddService") //$NON-NLS-1$
 	);
 				
@@ -137,7 +137,7 @@
 		ModelFormLayoutData.EMPTY_DESCRIPTION,
 		"Services", //$NON-NLS-1$
 		new FormAttributeData[]{new FormAttributeData(ATTR_NAME, 100)}, 
-		new String[]{ENT_ESB_SERVICE_101, ENT_ESB_SERVICE_110, ENT_ESB_SERVICE_120, ENT_ESB_SERVICE_130},
+		new String[]{ENT_ESB_SERVICE_101, ENT_ESB_SERVICE_110, ENT_ESB_SERVICE_120, ENT_ESB_SERVICE_130, ENT_ESB_SERVICE_131},
 		FormLayoutDataUtil.createDefaultFormActionData("CreateActions.AddService") //$NON-NLS-1$
 	);
 					
Index: src/org/jboss/tools/esb/core/model/ESBConstants.java
===================================================================
--- src/org/jboss/tools/esb/core/model/ESBConstants.java	(revision 39150)
+++ src/org/jboss/tools/esb/core/model/ESBConstants.java	(working copy)
@@ -14,32 +14,45 @@
  * @author Viacheslav Kabanovich
  */
 public interface ESBConstants {
-	public String SCHEMA_101 = "http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd"; //$NON-NLS-1$
-	public String SCHEMA_110 = "http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.1.0.xsd"; //$NON-NLS-1$
-	public String SCHEMA_120 = "http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.2.0.xsd"; //$NON-NLS-1$
-	public String SCHEMA_130 = "http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.3.0.xsd"; //$NON-NLS-1$
+	public String VERSION_101 = "1.0.1.xsd"; //$NON-NLS-1$
+	public String VERSION_110 = "1.1.0.xsd"; //$NON-NLS-1$
+	public String VERSION_120 = "1.2.0.xsd"; //$NON-NLS-1$
+	public String VERSION_130 = "1.3.0.xsd"; //$NON-NLS-1$
+	public String VERSION_131 = "1.3.1.xsd"; //$NON-NLS-1$
+	
+	public String SCHEMA_PREFIX = "http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-"; //$NON-NLS-1$ 
+	public String SCHEMA_101 = SCHEMA_PREFIX + VERSION_101;
+	public String SCHEMA_110 = SCHEMA_PREFIX + VERSION_110;
+	public String SCHEMA_120 = SCHEMA_PREFIX + VERSION_120;
+	public String SCHEMA_130 = SCHEMA_PREFIX + VERSION_130;
+	public String SCHEMA_131 = SCHEMA_PREFIX + VERSION_131;
 
-	public String NEW_SCHEMA_101 = "http://anonsvn.jboss.org/repos/labs/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd"; //$NON-NLS-1$
-	public String NEW_SCHEMA_110 = "http://anonsvn.jboss.org/repos/labs/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.1.0.xsd"; //$NON-NLS-1$
-	public String NEW_SCHEMA_120 = "http://anonsvn.jboss.org/repos/labs/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.2.0.xsd"; //$NON-NLS-1$
-	public String NEW_SCHEMA_130 = "http://anonsvn.jboss.org/repos/labs/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.3.0.xsd"; //$NON-NLS-1$
+	public String NEW_SCHEMA_PREFIX = "http://anonsvn.jboss.org/repos/labs/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-"; //$NON-NLS-1$
+	public String NEW_SCHEMA_101 = NEW_SCHEMA_PREFIX + VERSION_101;
+	public String NEW_SCHEMA_110 = NEW_SCHEMA_PREFIX + VERSION_110;
+	public String NEW_SCHEMA_120 = NEW_SCHEMA_PREFIX + VERSION_120;
+	public String NEW_SCHEMA_130 = NEW_SCHEMA_PREFIX + VERSION_130;
+	public String NEW_SCHEMA_131 = NEW_SCHEMA_PREFIX + VERSION_131;
 
 	public String SUFF_101 = "101"; //$NON-NLS-1$
 	public String SUFF_110 = "110"; //$NON-NLS-1$
 	public String SUFF_120 = "120"; //$NON-NLS-1$
 	public String SUFF_130 = "130"; //$NON-NLS-1$
+	public String SUFF_131 = "131"; //$NON-NLS-1$
 
 	public String[] KNOWN_SUFFIXES = {
 		SUFF_101,
 		SUFF_110,
 		SUFF_120,
 		SUFF_130,
+		SUFF_131,
 	};
 	public String ENT_ESB_FILE = "FileESB"; //$NON-NLS-1$
 	public String ENT_ESB_FILE_101 = ENT_ESB_FILE + SUFF_101;
 	public String ENT_ESB_FILE_110 = ENT_ESB_FILE + SUFF_110;
 	public String ENT_ESB_FILE_120 = ENT_ESB_FILE + SUFF_120;
 	public String ENT_ESB_FILE_130 = ENT_ESB_FILE + SUFF_130;
+	public String ENT_ESB_FILE_131 = ENT_ESB_FILE + SUFF_131;
 	
 	public String ENT_ESB_PROPERTY = "ESBProperty"; //$NON-NLS-1$
 	
@@ -149,6 +162,7 @@
 	public String ENT_ESB_SERVICE_110 = ENT_ESB_SERVICE + SUFF_110;
 	public String ENT_ESB_SERVICE_120 = ENT_ESB_SERVICE + SUFF_120;
 	public String ENT_ESB_SERVICE_130 = ENT_ESB_SERVICE + SUFF_130;
+	public String ENT_ESB_SERVICE_131 = ENT_ESB_SERVICE + SUFF_131;
 
 	//prefix
 	public String ENT_ESB_ACTIONS = "ESBActions"; //$NON-NLS-1$
Index: src/org/jboss/tools/esb/core/model/SpecificActionLoader.java
===================================================================
--- src/org/jboss/tools/esb/core/model/SpecificActionLoader.java	(revision 39150)
+++ src/org/jboss/tools/esb/core/model/SpecificActionLoader.java	(working copy)
@@ -17,10 +17,10 @@
 import org.jboss.tools.common.meta.XChild;
 import org.jboss.tools.common.meta.XMapping;
 import org.jboss.tools.common.meta.XModelEntity;
+import org.jboss.tools.common.meta.impl.XModelMetaDataImpl;
 import org.jboss.tools.common.model.XModelException;
 import org.jboss.tools.common.model.XModelObject;
 import org.jboss.tools.common.model.impl.RegularObjectImpl;
-import org.jboss.tools.common.model.options.PreferenceModelUtilities;
 import org.jboss.tools.common.model.util.XModelObjectLoaderUtil;
 import org.jboss.tools.esb.core.ESBCorePlugin;
 import org.jboss.tools.esb.core.model.converters.ConverterConstants;
@@ -41,7 +41,7 @@
 
 	SpecificActionLoader() {
 		if(classToEntity.isEmpty()) {
-			XMapping m = PreferenceModelUtilities.getPreferenceModel().getMetaData().getMapping("ESBSpecificActions");
+			XMapping m = XModelMetaDataImpl.getInstance().getMapping("ESBSpecificActions");
 			if(m != null) {
 				String[] classes = m.getKeys();
 				for (String c: classes) {
Index: src/org/jboss/tools/esb/core/model/ESBEntityRecognizer.java
===================================================================
--- src/org/jboss/tools/esb/core/model/ESBEntityRecognizer.java	(revision 39150)
+++ src/org/jboss/tools/esb/core/model/ESBEntityRecognizer.java	(working copy)
@@ -27,53 +27,39 @@
 
     String getEntityName(String ext, String body) {
         if(body == null) return null;
-    	if(!isSchema(body)) {
+
+        String suffix = getSuffixBySchema(body);
+    	if(suffix == null) {
     		return null;
     	}
     	
-//    	int i = body.indexOf("xsi:schemaLocation"); //$NON-NLS-1$
-    	int i = body.indexOf("xmlns="); //$NON-NLS-1$
-    	if(i < 0) return null;
-    	int j = body.indexOf("\"", i); //$NON-NLS-1$
-    	if(j < 0) return null;
-    	int k = body.indexOf("\"", j + 1); //$NON-NLS-1$
-    	if(k < 0) return null;
-    	String schema = body.substring(j + 1, k);
-    	
-    	int i101 = schema.indexOf("1.0.1"); //$NON-NLS-1$
-    	if(i101 >= 0) {
-    		return ENT_ESB_FILE_101;
-    	}
-    	int i110 = schema.indexOf("1.1.0"); //$NON-NLS-1$
-    	if(i110 >= 0) {
-    		return ENT_ESB_FILE_110;
-    	}
-    	int i120 = schema.indexOf("1.2.0"); //$NON-NLS-1$
-    	if(i120 >= 0) {
-    		return ENT_ESB_FILE_120;
-    	}
-    	int i130 = schema.indexOf("1.3.0"); //$NON-NLS-1$
-    	if(i130 >= 0) {
-    		return ENT_ESB_FILE_130;
-    	}
-        return null;
+        return ENT_ESB_FILE + suffix;
     }
     
-    private boolean isSchema(String body) {
+    private String getSuffixBySchema(String body) {
     	int i = body.indexOf("<jbossesb"); //$NON-NLS-1$
-    	if(i < 0) return false;
+    	if(i < 0) return null;
     	int j = body.indexOf(">", i); //$NON-NLS-1$
-    	if(j < 0) return false;
+    	if(j < 0) return null;
     	String s = body.substring(i, j);
-    	String q = "\"";
-    	return s.indexOf(q + SCHEMA_101 + q) > 0
-    		|| s.indexOf(q + SCHEMA_110 + q) > 0
-    		|| s.indexOf(q + SCHEMA_120 + q) > 0
-    		|| s.indexOf(q + SCHEMA_130 + q) > 0
-    		|| s.indexOf(q + NEW_SCHEMA_101 + q) > 0
-    		|| s.indexOf(q + NEW_SCHEMA_110 + q) > 0
-    		|| s.indexOf(q + NEW_SCHEMA_120 + q) > 0
-    		|| s.indexOf(q + NEW_SCHEMA_130 + q) > 0;
+    	i = s.indexOf("xmlns="); //$NON-NLS-1$
+    	if(i < 0) return null;
+    	j = s.indexOf("\"", i); //$NON-NLS-1$
+    	if(j < 0) return null;
+    	int k = s.indexOf("\"", j + 1); //$NON-NLS-1$
+    	if(k < 0) return null;
+    	String schema = s.substring(j + 1, k);
+    	return schema.equals(SCHEMA_101) ? SUFF_101 :
+    		   schema.equals(SCHEMA_110) ? SUFF_110 :
+    		   schema.equals(SCHEMA_120) ? SUFF_120 :
+    		   schema.equals(SCHEMA_130) ? SUFF_130 :
+       		   schema.equals(SCHEMA_131) ? SUFF_131 :
+    		   schema.equals(NEW_SCHEMA_101) ? SUFF_101 :
+    		   schema.equals(NEW_SCHEMA_110) ? SUFF_110 :
+			   schema.equals(NEW_SCHEMA_120) ? SUFF_120 :
+			   schema.equals(NEW_SCHEMA_130) ? SUFF_130 :
+			   schema.equals(NEW_SCHEMA_131) ? SUFF_131 :
+    		   null;
     }
     
 }
Index: resources/meta/esb131.meta
===================================================================
--- resources/meta/esb131.meta	(revision 0)
+++ resources/meta/esb131.meta	(revision 0)
@@ -0,0 +1,226 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE XModelEntityGroup PUBLIC "-//Red Hat, Inc.//DTD Meta 1.0//EN"
+                                   "meta.dtd">
+<XModelEntityGroup>
+ <VERSION DEPENDS="Model:1.0" MODULE="ESB" VERSION="1.0"/>
+ <MAPPINGS>
+  <MAPPING name="FileVersions">
+   <PAIR name="ESB1.3.1" value="FileESB131"/>
+  </MAPPING>
+ </MAPPINGS>
+ <ICONS>
+  <GROUP name="main">
+   <GROUP name="esb"/>
+  </GROUP>
+ </ICONS>
+ <GlobalActions kind="list"/>
+ <XModelEntity ImplementingClass="%ESB%"
+  PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.esb.ui.editor.form.ESBXMLFormLayoutData;children=%ESBOrderedService%"
+  XMLSUBPATH="service" name="ESBService131">
+  <XChildrenEntities>
+   <XChildEntity maxCount="1" name="ESBSecurity101P" required="yes"/>
+   <XChildEntity name="ESBProperty"/>
+   <XChildEntity maxCount="1" name="ESBListeners130" required="yes"/>
+   <XChildEntity maxCount="1" name="ESBActions130" required="yes"/>
+  </XChildrenEntities>
+  <XEntityRenderer>
+   <ICONS>
+    <ICON info="main.esb.service" type="main"/>
+   </ICONS>
+  </XEntityRenderer>
+  <XModelAttributes>
+   <XModelAttribute default="service" loader="ElementType" name="element type">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttributeReference
+    attributes="name,category,description,invm scope,invm transacted"
+    entity="ESBService101" name="service"/>
+   <XModelAttribute PROPERTIES="category=advanced"
+    name="alertTimeThreshold" xmlname="alertTimeThreshold"/>
+   <XModelAttribute PROPERTIES="category=advanced"
+    name="alertLengthThreshold" xmlname="alertLengthThreshold"/>
+   <XModelAttribute PROPERTIES="category=advanced" name="record route" xmlname="recordRoute">
+    <Constraint loader="ListString">
+     <value/>
+     <value name="true"/>
+     <value name="false"/>
+    </Constraint>
+    <Editor name="ListString"/>
+   </XModelAttribute>
+   <XModelAttribute TRIM="no" name="comment" visibility="false" xmlname="#comment">
+    <Editor name="Note"/>
+   </XModelAttribute>
+  </XModelAttributes>
+  <XActionItem kind="list">
+   <XActionItemReference entity="ESBService101" name="CreateActions" path="CreateActions"/>
+   <XActionItemReference entity="ESBService101" name="CopyActions" path="CopyActions"/>
+   <XActionItemReference entity="ESBService101" name="DeleteActions" path="DeleteActions"/>
+   <XActionItemReference entity="ESBProperty" name="Properties"/>
+   <XActionItemReference entity="ESBProperty" name="MoveActions"/>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
+ <XModelEntity ImplementingClass="%ESB%"
+  PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.esb.ui.editor.form.ESBXMLFormLayoutData;saveDefault=false;children=%Ordered%"
+  XMLSUBPATH="services" name="ESBServices131">
+  <XChildrenEntities>
+   <XChildEntity name="ESBService131"/>
+  </XChildrenEntities>
+  <XEntityRenderer>
+   <ICONS>
+    <ICON info="main.esb.services" type="main"/>
+   </ICONS>
+  </XEntityRenderer>
+  <XModelAttributes>
+   <XModelAttribute default="services list" loader="ElementType" name="element type">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="category=general;id=true"
+    default="Services" name="name" visibility="false">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute TRIM="no" name="comment" visibility="false" xmlname="#comment">
+    <Editor name="Note"/>
+   </XModelAttribute>
+  </XModelAttributes>
+  <XActionItem kind="list">
+   <XActionItem kind="list" name="CreateActions">
+    <XActionItem HandlerClassName="%Create%" ICON="action.empty"
+     PROPERTIES="validator.add=true" WizardClassName="%Default%"
+     displayName="Add Service..." kind="action" name="AddService">
+     <EntityData EntityName="ESBService131">
+      <AttributeData AttributeName="name"/>
+      <AttributeData AttributeName="category"/>
+      <AttributeData AttributeName="description"/>
+     </EntityData>
+    </XActionItem>
+   </XActionItem>
+   <XActionItemReference entity="ESBServices101" name="CopyActions" path="CopyActions"/>
+   <XActionItemReference entity="ESBServices101" name="DeleteActions" path="DeleteActions"/>
+   <XActionItemReference entity="ESBProperty" name="Properties"/>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
+ <XModelEntity
+  ImplementationLoadingClass="org.jboss.tools.esb.core.model.ESBFileLoader"
+  ImplementingClass="org.jboss.tools.esb.core.model.ESBFileImpl"
+  ObjectEditorClass="%XML%"
+  PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.esb.ui.editor.form.ESBXMLFormLayoutData;children=%EntityOrdered%;editorTreeConstraint=org.jboss.tools.esb.core.model.impl.ESBTreeConstraint"
+  XMLSUBPATH="jbossesb" name="FileESB131">
+  <XChildrenEntities>
+   <XChildEntity maxCount="1" name="ESBGlobals120" required="yes"/>
+   <XChildEntity maxCount="1" name="ESBProviders130" required="yes"/>
+   <XChildEntity maxCount="1" name="ESBServices131" required="yes"/>
+  </XChildrenEntities>
+  <XEntityRenderer>
+   <ICONS>
+    <ICON info="main.esb.file" type="main"/>
+   </ICONS>
+  </XEntityRenderer>
+  <XModelAttributes>
+   <XModelAttribute default="JBoss esb" loader="ElementType" name="element type">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="category=general" name="name" xmlname="NAME"/>
+   <XModelAttribute default="xml" name="extension" xmlname="EXTENSION">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute TRIM="no" name="comment" visibility="false" xmlname="#comment">
+    <Editor name="Note"/>
+   </XModelAttribute>
+   <XModelAttribute loader="ElementType" name="_lateload" visibility="false">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute default="no" name="isIncorrect" visibility="false">
+    <Constraint loader="List">
+     <value name="yes"/>
+     <value name="no"/>
+    </Constraint>
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute name="incorrectBody" visibility="false"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.3.1.xsd"
+    name="xmlns" xmlname="xmlns"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://www.w3.org/2001/XMLSchema-instance" name="xmlns:xsi" xmlname="xmlns:xsi"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.3.1.xsd http://anonsvn.jboss.org/repos/labs/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.3.1.xsd"
+    name="xsi:schemaLocation" xmlname="xsi:schemaLocation"/>
+   <XModelAttribute name="encoding">
+    <Constraint loader="ListString">
+     <value name="ISO-8859-1"/>
+     <value name="UTF-8"/>
+    </Constraint>
+    <Editor name="ListString"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="category=general" default="180"
+    name="parameter reload secs" xmlname="parameterReloadSecs"/>
+  </XModelAttributes>
+  <XActionItem kind="list">
+   <XActionItem BaseActionName="Open" HandlerClassName="%Open%"
+    ICON="action.empty" displayName="Open" kind="action" name="Open"/>
+   <XActionItem displayName="Open With" group="1" kind="list" name="OpenWith">
+    <XActionItem HIDE="always"
+     HandlerClassName="org.jboss.tools.common.meta.action.impl.handlers.OpenWithExternalHandler"
+     ICON="action.empty" PROPERTIES="extension=struts-config"
+     displayName="Open with External Program" kind="action" name="OpenWithSelected"/>
+    <XActionItem HIDE="always"
+     HandlerClassName="org.jboss.tools.common.meta.action.impl.handlers.OpenWithChoiceHandler"
+     ICON="action.empty" PROPERTIES="extension=struts-config"
+     displayName="Choose Program..." kind="action" name="OpenWithChoice">
+     <EntityData EntityName="OpenWithHelper">
+      <AttributeData AttributeName="name"/>
+      <AttributeData AttributeName="default"/>
+     </EntityData>
+    </XActionItem>
+   </XActionItem>
+   <XActionItem kind="list" name="EditActions">
+    <XActionItem HIDE="always"
+     HandlerClassName="org.jboss.tools.jsf.model.handlers.RenameFacesConfigHandler"
+     ICON="action.empty" PROPERTIES="validator.edit=true"
+     WizardClassName="%Default%" displayName="Rename..." kind="action" name="Rename">
+     <EntityData EntityName="FileESB110">
+      <AttributeData AttributeName="name"/>
+     </EntityData>
+    </XActionItem>
+    <XActionItem
+     HandlerClassName="org.jboss.tools.common.model.filesystems.impl.handlers.RenameEclipseFileHandler"
+     ICON="action.empty" displayName="Rename..." kind="action" name="RenameEclipse"/>
+   </XActionItem>
+   <XActionItemReference entity="FileTXT" name="SaveActions"/>
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions"/>
+   <XActionItemReference entity="FileESB101" name="CopyActions"/>
+   <XActionItemReference entity="FileTXT" name="DeleteActions"/>
+   <XActionItemReference entity="FileTXT" name="Properties"/>
+   <XActionItemReference entity="FileTXT" name="DiscardActions"/>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
+ <XModelEntity name="FileESB131_EditorActionList">
+  <XChildrenEntities/>
+  <XEntityRenderer/>
+  <XModelAttributes/>
+  <XActionItem kind="list">
+   <XActionItem displayName="New" group="1" kind="list" name="CreateActions"/>
+   <XActionItem ICON="action.empty" kind="list" name="Properties">
+    <XActionItem HandlerClassName="%Properties%" ICON="action.empty"
+     displayName="Properties..." kind="action" name="Properties"/>
+   </XActionItem>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
+ <XEntityExtension name="FileFolder">
+  <XChildrenEntities>
+   <XChildEntity name="FileESB131"/>
+  </XChildrenEntities>
+  <XActionItem kind="list"/>
+ </XEntityExtension>
+ <XEntityExtension name="FileSystemFolder">
+  <XChildrenEntities>
+   <XChildEntity name="FileESB131"/>
+  </XChildrenEntities>
+  <XActionItem kind="list"/>
+ </XEntityExtension>
+</XModelEntityGroup>
